org.apache.lucene.luke.models.analysis

## Class Analysis.StepByStepResult

- java.lang.Object
- - org.apache.lucene.luke.models.analysis.Analysis.StepByStepResult

Enclosing interface:
  Analysis

    public static class Analysis.StepByStepResult
    extends Object

Step-by-step analysis result holder.

### Constructor Summary

Constructors
Constructor and Description
`StepByStepResult(List<Analysis.CharfilteredText> charfilteredTexts, List<Analysis.NamedTokens> namedTokens)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Analysis.CharfilteredText>` `getCharfilteredTexts()`
`List<Analysis.NamedTokens>` `getNamedTokens()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StepByStepResult

    public StepByStepResult(List<Analysis.CharfilteredText> charfilteredTexts,
                            List<Analysis.NamedTokens> namedTokens)

### Method Detail

#### getCharfilteredTexts

    public List<Analysis.CharfilteredText> getCharfilteredTexts()

#### getNamedTokens

    public List<Analysis.NamedTokens> getNamedTokens()